Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.database
Interface DatabaseFrameDb

All Superinterfaces:
  NarrowFrameStore

All Known Implementing Classes:
  AbstractDatabaseFrameDb, DefaultDatabaseFrameDb

    public interface DatabaseFrameDb

extends NarrowFrameStore

Method Summary
`void` | `close()`
`Map<Sft,List>` | `getFrameValues(Frame frame)`
`String` | `getTableName()`
`TransactionMonitor` | `getTransactionStatusMonitor()` Retrieves a transaction status monitor for transactions.
`void` | `initialize(FrameFactory factory, String driver, String url, String user, String pass, String table, boolean isInclude)`
`void` | `overwriteKB(KnowledgeBase kb, boolean saveFrames)`
`void` | `removeValue(Frame frame, Slot slot, Facet facet, boolean isTemplate, Object value)`

Methods inherited from interface edu.stanford.smi.protege.model.framestore.NarrowFrameStore
`addValues, beginTransaction, commitTransaction, deleteFrame, executeQuery, getClosure, getClsCount, getDelegate, getFacetCount, getFrame, getFrameCount, getFrames, getFrames, getFramesWithAnyValue, getMatchingFrames, getMatchingReferences, getName, getReferences, getSimpleInstanceCount, getSlotCount, getValues, getValuesCount, moveValue, reinitialize, replaceFrame, replaceFrame, rollbackTransaction, setCaching, setName, setValues`

Method Detail

### initialize

    void initialize(FrameFactory factory,
                    String driver,
                    String url,
                    String user,
                    String pass,
                    String table,
                    boolean isInclude)

### close

    void close()

  Specified by:
    `close` in interface `NarrowFrameStore`

### getTableName

    String getTableName()

### removeValue

    void removeValue(Frame frame,
                     Slot slot,
                     Facet facet,
                     boolean isTemplate,
                     Object value)

  Specified by:
    `removeValue` in interface `NarrowFrameStore`

### getFrameValues

    Map<Sft,List> getFrameValues(Frame frame)

### overwriteKB

    void overwriteKB(KnowledgeBase kb,
                     boolean saveFrames)
                     throws SQLException

  Throws:
    `SQLException`

### getTransactionStatusMonitor

    TransactionMonitor getTransactionStatusMonitor()

  Description copied from interface: `NarrowFrameStore`
  Retrieves a transaction status monitor for transactions. If this call returns null then it means that transactions are not supported.

  Specified by:
    `getTransactionStatusMonitor` in interface `NarrowFrameStore`
  Returns:
    A TransactionMonitor object that tracks the status of transactions.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.